# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           pycam
Version:        0.3
Release:        0%{?dist}
Summary:        Open Source CAM - Toolpath Generation for 3-Axis CNC machining 

Group:          Applications/Engineering
License:        GPLv3
URL:            http://sourceforge.net/projects/%{name}/
Source0:        http://sourceforge.net/projects/pycam/files/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
Open Source CAM - Toolpath Generation for 3-Axis CNC machining 

%prep
%setup -q

for f in ./COPYING.TXT ./Changelog ./INSTALL.TXT ./LICENSE.TXT ./PKG-INFO ./README.TXT ./release_info.txt ./technical_details.txt
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done

%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

chmod +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}.py
mv  $RPM_BUILD_ROOT%{_bindir}/%{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name} 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc 
# For noarch packages: sitelib
%{python_sitelib}/*
# For arch-specific packages: sitearch
%{python_sitearch}/*


%changelog
* Wed Aug 18 2010 Fabian Kanngießer <underscores@fedoraproject.org> - %{version}-0
 - initial packaging